LikesRepeating's profile

New Poster

 • 

4 Messages

Mon, Sep 28, 2020 11:00 AM

No X Stream update available for iPad 2

iPad 2 is listed as compatible with X-stream, but error message, "Update Required" prevents it staring up. This update fuvor just started in late September. The problem, there is no update available for older iOS like iOS 9.3.5

 

My question, Why Not?

Responses

eastmoreland

Contributor

 • 

48 Messages

7 m ago

Well,  a manager finally called me back, said basically that he couldn't do anything for me, but suggested I post my concerns in a forum that one of Comcast's VPs has set up to get direct feedback from customers.  So I did,  posting essentially a copy of what I posted above.  Here's the reply I got today.

 

Thank you for reaching out to the Office of Tom Karinshak. My name is Luke. We are truly grateful for the time you have taken to type out this email. We also appreciate your engagement as we value the opinions of our customers.
 
From what I understand, you are unable to use the Xfinity Stream App since your iOS version is 10.3.3 and you are unable to update your iOS version to 12. As a consumer myself, I can truly understand wanting to ensure my apps work with my devices. Please accept my most sincere apology for any inconvenience and distress you may have endured.    
 
Please realize, as technology evolves, so does the applications and coding that is within its hardware. This is why we state the application is compatible with iOS versions 12 and up. I have submitted your concerns to our developers for further review.
 
I appreciate you contacting our office and truly thank you for your feedback. If you have additional questions or comments, I would be happy to address them as well. We truly strive to provide you with an exceptional customer experience in every interaction. Thank you for being a valued Comcast customer.

 

So, in summary, they can't form a coherent sentence about why they're doing what they're doing, but they're sticking to their story and tough luck.  And, oh, by the way, we value you.

New Poster

 • 

2 Messages

7 m ago

The wording is almost identical to the response above (insert eye roll here)
Bottom line is they should have a version of the app that is backward compatible. The app was working just fine with our version of iOS. There was no reason for them to make it stop working. If we had issues in the future they could have said it was an “unsupported version of the app. So there is nothing they can do to help” but we would be able to use it. So when our iPads die we can buy a new one and use the new version of the app. My iPad works perfectly. So now I have to throw it away? I only use it for the Xfinity stream app. (Hopefully that made sense I’m rambling)
YCC

Frequent Visitor

 • 

9 Messages

7 m ago

eastmoreland

 

Where do we post our complain to the VP regarding this issue?

 

Maybe you can start a new message tread telling everyone where to post their frustrations to the VP about this?

 

THANKS!

Contributor

 • 

48 Messages

7 m ago

Here's the forum they told me to use to communicate to the Comcast VP:

 

support.xfinity.com/svp-contact-form

New to the Community?

Start Here